Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class IncludeScriptHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.IncludeScriptHandle

    public class IncludeScriptHandle

extends StructureHandle

Represents the handle of the included script. Each script in report design has the following properties:

File Name
  a include script structure in the report design has a required file name to load the script.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`IncludeScriptHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of the included script.

Method Summary
`java.lang.String` | `getFileName()` Returns file name of the script.
`void` | `setFileName(java.lang.String fileName)` Sets the file name of the script.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeScriptHandle

    public IncludeScriptHandle(SimpleValueHandle valueHandle,
                               int index)

  Constructs the handle of the included script.

  Parameters:
    `valueHandle` - the value handle for the included script list of one property
    `index` - the position of this included script in the list

Method Detail

### getFileName

    public java.lang.String getFileName()

  Returns file name of the script.

  Returns:
    file name of the script

### setFileName

    public void setFileName(java.lang.String fileName)

  Sets the file name of the script.

  Parameters:
    `fileName` - the file name to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.